Bug 2730 - Job description variable fault lost
: Job description variable fault lost
Status: RESOLVED FIXED
: GRAM
wsrf managed execution job service
: 3.9.5
: PC Linux
: P3 normal
: 4.0.1
Assigned To:
:
:
:
: 3348
  Show dependency treegraph
 
Reported: 2005-02-14 15:12 by
Modified: 2005-08-03 16:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-14 15:12:16
When an exception is thrown from
ManagedExecutableJobResource.resolveVariables()
throws an exception, the caller (StateMachine) does not cause the job to fail;
instead the job is submitted as normal.
------- Comment #1 From 2005-02-24 17:06:09 -------
Fix in gram_bug_2730_branch.
------- Comment #2 From 2005-05-06 07:44:38 -------
The fix for this does not quite work in the 4.0 branch. See test
globus_wsrf_gram_scheduler_test case submit205 failures on fork and most other
schedulers. Right now it looks like the resource's fault is set, then the state
machine is run in the systemCancel state. This causes some strange behavior
because the job wasn't submitted or registered to the JSM. The fault kind of
trickles back to the user in a strange form if streaming is being used, but is
otherwise lost.

I think maybe instead it should just throw the ServiceLevelException fault to
the client which called createManagedJob and not create the resource or use the
state machine at all.
------- Comment #3 From 2005-05-09 10:08:34 -------
If I'm remembering this bug correctly, there are problems with just throwing an
exception but I can't 
remember what exactly.  This was why I fixed it like I did.  I don't understand
why the JSM has anything 
to do with this if the fault occurs before the job is submitted to the
scheduler.
------- Comment #4 From 2005-05-16 13:30:34 -------
Fix in trunk and globus_4_0_branch.  There was a bug in the cancel() method
whereby the system cancel service data wasn't being set.